#
# spec file for package ei (Version 0.8)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         ei
License:      GPL
Group:        System/Emulators/Other
Requires:     mtools wget
Autoreqprov:  on
Summary:      Installation utility for various emulators
Version:      0.8
Release:      96
Source0:      ei
Source1:      README
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
Ei provides a comfortable and unified way to install ROM images of
various emulators. This can be done from internet, from a MS-DOS
formatted disk or via a given path in the Filesystem.



Authors:
--------
    Richard Jelinek <rj@suse.de>
    Michal Cihar <mcihar@suse.de>

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/ei
install -m 755 %{S:0} $RPM_BUILD_ROOT/usr/sbin
install -m 644 %{S:1} $RPM_BUILD_ROOT/usr/lib/ei

%files
%defattr(-,root,root)
/usr/sbin/ei
/usr/lib/ei

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n ei
* Wed Oct 29 2003 - mcihar@suse.cz
- modules for installation of ROMs don't have to be executable (bug #32714)
* Thu Mar 06 2003 - mcihar@suse.cz
- README shouldn't be 755
* Fri Feb 21 2003 - mcihar@suse.cz
- localised messages shown according to LC_MESSAGES
- show progress during download
- removed support for dropped emulators
- marked as version 0.8
* Fri Aug 09 2002 - mcihar@suse.cz
- fixed locale detection
- updated copyright, authors
- marked as version 0.7
* Wed Jun 05 2002 - mcihar@suse.cz
- ei switched to wget instead of url_get
- all download scripts moved to package where they belong (ie: this package no
  longer contains any donwload scripts, they are in emulator packages) - this
  also caused removal of all patches
- marked as new version 0.6
- tarball is bzipped
* Wed Feb 06 2002 - postadal@suse.cz
- fixed for vice-1.8
* Tue Feb 05 2002 - pmladek@suse.cz
- fixed for new prefix for adamem
- moved to noarch
* Mon Feb 04 2002 - pmladek@suse.cz
- fixed for vice-1.7
* Wed Oct 10 2001 - pmladek@suse.cz
- added support for z81
* Mon Oct 01 2001 - pmladek@suse.cz
- fixed TOS image directory for stonx
* Wed May 09 2001 - pmladek@suse.cz
- fixed copyright tag
* Mon Apr 30 2001 - uli@suse.de
- fixed URL for a800
* Sun Apr 29 2001 - pmladek@suse.cz
- fixed new destination of rom image for uae
* Fri Mar 16 2001 - pmladek@suse.cz
- fixed script for new version of vice
* Tue Oct 24 2000 - cihlar@suse.cz
- update to version 0.5
* Mon May 15 2000 - cihlar@suse.cz
- Group sorted
* Fri Mar 17 2000 - cihlar@suse.cz
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Nov 15 1997 - bs@suse.de
- ready for abuild
- new version
